Skip to main content
PATCH
/
signals
/
{id}
Update a signal
curl --request PATCH \
  --url https://app.gaintrace.com/api/v1/signals/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "snoozedUntil": "2023-11-07T05:31:56Z",
  "metadata": {}
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "<string>",
    "description": "<string>",
    "occurredAt": "2023-11-07T05:31:56Z",
    "snoozedUntil": "2023-11-07T05:31:56Z",
    "dismissedAt": "2023-11-07T05:31:56Z",
    "metadata": {}
  }
}

Authorizations

Authorization
string
header
required

Bearer API key. Secret server keys start with gt_live_; client-safe browser keys start with gt_pub_ (write-only, origin-pinned). Create and scope keys in Settings → API Keys.

Path Parameters

id
string
required

Resource UUID. For companies you may also pass ext:<externalId> to address by your external id.

Body

application/json

Any subset of the mutable signal fields.

title
string
Required string length: 1 - 500
description
string | null
Maximum string length: 5000
severity
enum<string>
Available options:
info,
warning,
critical
snoozedUntil
string<date-time> | null

Snooze until this time, or null to unsnooze.

metadata
object | null

Response

The updated signal.

data
object
Last modified on July 6, 2026